Skip to main content
Platform O&M/Automated O&M/XML Hook
POSTXML HookSince 5.2.0SynchronousAuth Required

CreateVmUserDefinedXmlHookScript

CreateVmUserDefinedXmlHookScript

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The XML Hook name.

    • descriptionString

      Optional. The detailed information of the XML Hook.

    • hookScriptStringRequired

      The XML Hook content.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryXmlHookInventoryRequired

    See inventory

    • uuidStringRequired

      The XML Hook UUID.

    • nameStringRequired

      The XML Hook name.

    • descriptionStringRequired

      The detailed information of the XML Hook.

    • hookScriptStringRequired

      The XML Hook content.

    • libvirtVersionStringRequired

      The Libvirt version.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

    • typeXmlHookTypeRequired

      See type

      • SystemXmlHookTypeRequired

        系统。

      • CustomizationXmlHookTypeRequired

        No description provided.

Endpoint

POST/zstack/v1/vm-instances/xml-hook-script

/zstack/v1/vm-instances/xml-hook-script

Operation ID

CreateVmUserDefinedXmlHookScript

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vm-instances/xml-hook-script' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","hookScript":"<hookScript>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": {} }

Change History

This API has no change history records yet.

View all change history